## calamares-settings-ubuntu 25.04.19

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.19) plucky; urgency=medium

  * [Lubuntu] Update slides for current applications:
    * Support: IRC -> Matrix, Lubuntu -> Ubuntu Discourse
    * Lightweight: KCalc -> Qalc 

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 07 Mar 2025 03:21:03 +0000

## calamares-settings-ubuntu 25.04.20

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.20) plucky; urgency=medium

  * Update OEM batch identifier to match current version.

 -- Walter Lapchynski <wxl@ubuntu.com>  Mon, 24 Mar 2025 07:01:24 +0000

## calamares-settings-ubuntu 25.04.21

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.21) plucky; urgency=medium

  * Update partition names to match current version.

 -- Walter Lapchynski <wxl@ubuntu.com>  Mon, 24 Mar 2025 22:46:46 +0000

## calamares-settings-ubuntu 25.04.22

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.22) plucky; urgency=medium

  * [Unity] Update welcome slide for Plucky. 
  * [Unity] Set Kvantum theme to KvGnomeDark for Calamares. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 26 Mar 2025 00:05:56 +0000

## calamares-settings-ubuntu 25.04.23

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.23) plucky; urgency=medium

  * [Kubuntu] Update welcome images for 25.04 (LP: #2104062)
  * [Kubuntu] Update 07_Free_and_Open_Source installer slide for plucky
    puffin mascot image.
  * [Kubuntu] Update 10_Kubuntu_Focus installer slide.

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Apr 2025 11:38:23 +0100

## calamares-settings-ubuntu 25.04.24

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.24) plucky; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes needed.
  * [pkgselectprocess] If checkpackage-backend does not exist in the target
    system, likely due to the use of stacked squashfses, ensure it temporarily
    exists so it can be used in the install process. This fixes installation
    of the Virtual Machine Manager when selected on the Customize menu
    (LP: #2104243).
  * [OEM] As a temporary stop-gap until this can be completely re-written next
    cycle, ensure the sed call in the Calamares OEM setup refers to
    pkgselectprocess, not packages. This was preventing the OEM processing
    step (as opposed to just the GUI configuration) to be missing
    (LP: #2104343).
  * [OEM] [Kubuntu] In stage two, ensure we use Wayland, consistent with the
    rest of the session scripts.
  * [pkgselectprocess] Disable the dpkg trigger inhibition logic this cycle.
    The original goal here was to de-duplicate some of the trigger processing
    work, but it's obvious this needs more work. It's too premature to ship
    right now, unfortunately.
  * [Lubuntu] Remove the Dracut configuration so we fall back to the defaults
    provided by the package. This is a no-op.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 09 Apr 2025 07:02:36 -0500

=== debian/control ===
Source: calamares-settings-ubuntu
Section: devel
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake,
               extra-cmake-modules,
               intltool,
               libapt-pkg-dev,
               libcalamares-dev (>= 3.3.13-0ubuntu4),
               libkf6coreaddons-dev,
               libqt6svg6-dev,
               libyaml-cpp-dev,
               python3,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-l10n-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.2
Homepage: https://code.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
Vcs-Browser: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
Vcs-Git: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
Rules-Requires-Root: no

Package: calamares-settings-kubuntu
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends}
Conflicts: calamares-settings-ubuntu-flavor
Provides: calamares-settings-ubuntu-flavor
Description: Kubuntu Calamares Settings and Branding
 This package contains the Calamares settings and branding for Kubuntu.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Kubuntu desktop is installed with the
 KDE Plasma desktop environment.

Package: calamares-settings-lubuntu
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends}
Recommends: lubuntu-installer-prompt
Conflicts: calamares-settings-ubuntu-flavor
Provides: calamares-settings-ubuntu-flavor
Description: Lubuntu Calamares Settings and Branding
 This package contains the Calamares settings and branding for Lubuntu.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Lubuntu desktop is installed with the
 LXQt desktop environment.

Package: calamares-settings-ubuntu-unity
Architecture: all
Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
         qt6-style-kvantum,
         qt6-style-kvantum-themes,
         ${misc:Depends},
         ${qml6:Depends}
Conflicts: calamares-settings-ubuntu-flavor
Provides: calamares-settings-ubuntu-flavor
Description: Ubuntu Unity Calamares Settings and Branding
 This package contains the Calamares settings and branding for Ubuntu Unity.
 As part of the branding the installer slideshow is contained within.
 The settings ensure a proper Ubuntu Unity desktop is installed with the
 Unity desktop environment.

Package: calamares-settings-ubuntu-common
Architecture: any
Depends: calamares (>= 3.3.13-0ubuntu4),
         calamares-settings-ubuntu-common-data (= ${binary:Version}),
         cryptsetup,
         dracut-core,
         kdialog,
         keyutils,
         snapd-seed-glue,
         squashfs-tools,
         sudo,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Common Calamares Settings
 This package contains the common Calamares settings for all flavors.
 There is also a automirror Python script to set sources based on
 geolocation.
 .
 Common settings for all Ubuntu flavors.

Package: calamares-settings-ubuntu-common-data
Architecture: all
Depends: ${misc:Depends},
         python3,
         python3-distro,
Conflicts: calamares-settings-ubuntu-common (<< 1:25.04.16)
Replaces: calamares-settings-ubuntu-common (<< 1:25.04.16)
Description: Data for Common Calamares Settings
 This package contains the common Calamares settings for all flavors.
 There is also a automirror Python script to set sources based on
 geolocation.
 .
 Architecture-independent data for the common Calamares settings.

## calamares-settings-ubuntu 25.04.25

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.25) plucky; urgency=medium

  * [pkgselectprocess] When we are creating the final list of packages to feed
    to "apt install," virtual packages which do not have a valid candidate are
    included in this list, causing the installation to fail. When creating
    this list, use FindGrp instead of FindPkg, and only add it to the list if
    there is a valid candidate. Additionally, add these items to an unordered
    set, to eliminate deduplication (LP: #2106773).
  * [pkgselect] As a temporary measure until OEM is refactored in the 25.10
    cycle, we need to ensure that Calamares and its necessary dependencies are
    installed on the target, iff this is a stacked squashfs. We're doing this
    in pkgselect instead of pkgselectprocess because pkgselect already knows
    about stacked squashfses, it's what provides the final "additional install
    list" to be considered by checkpackage-backend, and this is a temporary
    fix anyway (LP: #2104343).
  * [pkgselectprocess] To complement the last fix, ensure that Calamares ends
    up on the removal list for non-stacked squashfses if and only if OEM is
    disabled, and Calamares shows up on the install list only for stacked
    squashfses which have OEM enabled. This nuanced approach ensures all
    potential combinations have the intended functionality.
  * [OEM] Ensure the final desktop file completing OEM is marked as executable.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 13 Apr 2025 03:17:13 -0500

=== debian/control ===
--- 
+++ 
@@ -75,6 +75,7 @@
          dracut-core,
          kdialog,
          keyutils,
+         libglib2.0-bin,
          snapd-seed-glue,
          squashfs-tools,
          sudo,

## calamares-settings-ubuntu 25.04.26

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.26) plucky; urgency=medium

  * [bootloader] Instead of utilizing a contextualprocess to only bind-mount
    /cdrom to /media/cdrom when it's a specific type of system, simply add it
    to the mounts for all flavors, and move the specific copy of the vmlinuz
    file to a dedicated shellprocess module. This will be re-factored next
    cycle, ideally being worked directly into a dedicated C++ module instead
    of several, miscellaneous shell scripts wrapped in YAML.
  * [pkgselectprocess] Explicitly log all apt commands in the debug logs.
  * [pkgselectprocess] Ensure apt-cdrom command outputs have their own prefix.
  * [checkpackage-backend] Simply pass through packages starting with "^" or
    containing "*". For this cycle we can trust our distributors won't do
    anything unusual, but next cycle, we need to perform explicit validation
    on these items. If you are a downstream, please be careful.
  * [pkgselectprocess] Ensure hasInternet is available as a local variable, so
    we can use it.
  * [pkgselectprocess] When running apt remove, use CPBE just in case.
  * [pkgselectprocess] When doing installations without network, we need to
    ensure that we don't try to perform apt operations that require internet.
    To do this in Plucky, we need to temporarily copy the ubuntu.sources file
    to an ubuntu.sources.bak file. To bring all of the previous commits in
    this upload together, we use the bind-mounted /media/cdrom not only to
    install the correct GRUB packages, but to ensure that we can still install
    them and any other packages on ship-live. There has to be a better, more
    native way to do this. It works for now, but in the Questing cycle, we're
    probably going to move some of these command-line apt calls to be a
    consumer of the libapt C library (LP: #2107287).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 15 Apr 2025 22:36:52 -0500

## calamares-settings-ubuntu 25.04.27

=== common/modules/pkgselectprocess/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

include(FeatureSummary)

set( CMAKE_CXX_STANDARD 23 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )

find_library(APT_PKG_LIB apt-pkg)
if (NOT APT_PKG_LIB)
    message(FATAL_ERROR "Could not find libapt-pkg")
endif()

find_package(ECM "6.0.0" NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
find_package(KF6 REQUIRED COMPONENTS CoreAddons)
include(KDEInstallDirs)

set( CALAMARES_VERSION_REQUIRED 3.3.9 )
find_package(Calamares ${CALAMARES_VERSION_REQUIRED} NO_CMAKE_PACKAGE_REGISTRY)
if (NOT TARGET Calamares::calamares OR NOT TARGET Calamares::calamaresui)
    find_package(Calamares ${CALAMARES_VERSION_REQUIRED} REQUIRED)
endif()

message(STATUS "Found Calamares version ${Calamares_VERSION}")
message(STATUS "              libraries ${Calamares_LIB_DIRS}")
message(STATUS "")

calamares_add_plugin( pkgselectprocess
    TYPE job
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
    	PackageSelectProcess.cpp
    SHARED_LIB
    NO_CONFIG
)
add_executable(check_package checkpackage-backend.cpp)
target_link_libraries(check_package PRIVATE ${APT_PKG_LIB})

=== debian/changelog ===
calamares-settings-ubuntu (1:25.04.27) plucky; urgency=medium

  * Disable virt-manager installation in third-party software options, as the
    package is broken when installed by pkgselect.
  * Remove full installation and third-party software options from all
    flavors.
  * Fix segfaults during installation. (LP: #2107486)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 16 Apr 2025 18:23:56 -0500

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                dh-sequence-qmldeps,
                cmake,
                extra-cmake-modules,
+               fakeroot,
                intltool,
                libapt-pkg-dev,
                libcalamares-dev (>= 3.3.13-0ubuntu4),

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export GOPATH=/usr/share/gocode
export GO111MODULE=off
export GOCACHE=$(CURDIR)/.gocache
export PKGSELECT = "common/modules/pkgselect"
export PKGSELECTPROCESS = "common/modules/pkgselectprocess"
export USRDIR = "debian/calamares-settings-ubuntu-common/usr"
export DATA_USRDIR = "debian/calamares-settings-ubuntu-common-data/usr"
export MODULES_DIR = "debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules"
export DATA_MODULES_DIR = "debian/calamares-settings-ubuntu-common-data/usr/lib/calamares/modules"

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	(cd $(PKGSELECT) && mkdir build && cd build && cmake ..)
	(cd $(PKGSELECTPROCESS) && mkdir build && cd build && cmake ..)

override_dh_auto_build:
	make;
	(cd $(PKGSELECT)/build && $(MAKE))
	(cd $(PKGSELECTPROCESS)/build && $(MAKE))

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(GOCACHE)

override_dh_auto_install:
	(cd $(PKGSELECT)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/calamares-settings-ubuntu-common/ install)

override_dh_missing:
	dh_missing
	mkdir -pv $(MODULES_DIR) $(DATA_MODULES_DIR)
	cp -vr common/modules/automirror $(DATA_MODULES_DIR)
	mkdir -pv debian/calamares-settings-ubuntu-common-data/etc/calamares/modules
	cp -vr common/modules/*.conf debian/calamares-settings-ubuntu-common-data/etc/calamares/modules
	chmod 644 $(DATA_MODULES_DIR)/automirror/automirror.conf
	chmod 644 $(DATA_MODULES_DIR)/automirror/module.desc
	chmod 644 $(MODULES_DIR)/pkgselect/libcalamares_viewmodule_pkgselect.so
	chmod 644 $(MODULES_DIR)/pkgselect/module.desc
	mkdir -pv $(MODULES_DIR)/pkgselectprocess
	cp -v $(PKGSELECTPROCESS)/build/*.so $(PKGSELECTPROCESS)/build/*.desc $(MODULES_DIR)/pkgselectprocess
	chmod 644 $(MODULES_DIR)/pkgselectprocess/libcalamares_job_pkgselectprocess.so
	chmod 644 $(MODULES_DIR)/pkgselectprocess/module.desc
	mkdir -pv $(USRDIR)/libexec/ $(DATA_USRDIR)/libexec/
	cp -v common/fixconkeys-part1 $(DATA_USRDIR)/libexec/fixconkeys-part1
	cp -v common/fixconkeys-part2 $(DATA_USRDIR)/libexec/fixconkeys-part2
	cp -v $(PKGSELECTPROCESS)/build/check_package $(USRDIR)/libexec/checkpackage-backend

## calamares-settings-ubuntu 25.10.1

=== debian/changelog ===
calamares-settings-ubuntu (1:25.10.1) questing; urgency=medium

  * Update Kubuntu branding for 25.10.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Jun 2025 12:56:18 +0100

## calamares-settings-ubuntu 25.10.2

=== debian/changelog ===
calamares-settings-ubuntu (1:25.10.2) questing; urgency=medium

  * Revert the packageselect refactoring from Plucky, go back to the
    known-good package customization implementation.
  * Update everyone's installer branding text to say 25.10/questing.
  * Update Lubuntu and Ubuntu Unity welcome images.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 13 Aug 2025 12:45:11 -0500

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
                dh-sequence-qmldeps,
                cmake,
                extra-cmake-modules,
+               golang-github-snapcore-snapd-dev (>= 2.62),
+               golang-go,
+               golang-gopkg-yaml.v2-dev,
                fakeroot,
                intltool,
-               libapt-pkg-dev,
                libcalamares-dev (>= 3.3.13-0ubuntu4),
                libkf6coreaddons-dev,
                libqt6svg6-dev,
@@ -77,7 +79,6 @@
          kdialog,
          keyutils,
          libglib2.0-bin,
-         snapd-seed-glue,
          squashfs-tools,
          sudo,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 export GO111MODULE=off
 export GOCACHE=$(CURDIR)/.gocache
 export PKGSELECT = "common/modules/pkgselect"
-export PKGSELECTPROCESS = "common/modules/pkgselectprocess"
 export USRDIR = "debian/calamares-settings-ubuntu-common/usr"
 export DATA_USRDIR = "debian/calamares-settings-ubuntu-common-data/usr"
 export MODULES_DIR = "debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules"
@@ -19,12 +18,11 @@
 
 override_dh_auto_configure:
 	(cd $(PKGSELECT) && mkdir build && cd build && cmake ..)
-	(cd $(PKGSELECTPROCESS) && mkdir build && cd build && cmake ..)
 
 override_dh_auto_build:
 	make;
 	(cd $(PKGSELECT)/build && $(MAKE))
-	(cd $(PKGSELECTPROCESS)/build && $(MAKE))
+	(cd common/snap-seed-glue-emb && go build -gcflags="all=-N -l" -ldflags="-compressdwarf=false" -o snap-seed-glue-emb main.go)
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -43,11 +41,8 @@
 	chmod 644 $(DATA_MODULES_DIR)/automirror/module.desc
 	chmod 644 $(MODULES_DIR)/pkgselect/libcalamares_viewmodule_pkgselect.so
 	chmod 644 $(MODULES_DIR)/pkgselect/module.desc
-	mkdir -pv $(MODULES_DIR)/pkgselectprocess
-	cp -v $(PKGSELECTPROCESS)/build/*.so $(PKGSELECTPROCESS)/build/*.desc $(MODULES_DIR)/pkgselectprocess
-	chmod 644 $(MODULES_DIR)/pkgselectprocess/libcalamares_job_pkgselectprocess.so
-	chmod 644 $(MODULES_DIR)/pkgselectprocess/module.desc
+	mkdir -pv $(USRDIR)/bin/
+	cp -v common/snap-seed-glue-emb/snap-seed-glue-emb $(USRDIR)/bin/snap-seed-glue-emb
 	mkdir -pv $(USRDIR)/libexec/ $(DATA_USRDIR)/libexec/
 	cp -v common/fixconkeys-part1 $(DATA_USRDIR)/libexec/fixconkeys-part1
 	cp -v common/fixconkeys-part2 $(DATA_USRDIR)/libexec/fixconkeys-part2
-	cp -v $(PKGSELECTPROCESS)/build/check_package $(USRDIR)/libexec/checkpackage-backend

## calamares-settings-ubuntu 25.10.3

=== debian/changelog ===
calamares-settings-ubuntu (1:25.10.3) questing; urgency=medium

  * Fix an FTBFS on riscv64 by disabling CGO on that platform.
  * Add a "Static-Built-Using" field to the calamares-settings-ubuntu-common
    binary package..
  * Add an "XS-Go-Import-Path" field to the source package.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 17 Aug 2025 10:07:53 -0500

## calamares-settings-ubuntu 25.10.4

=== debian/changelog ===
calamares-settings-ubuntu (1:25.10.4) questing; urgency=medium

  * Don't try to uninstall packages to make a minimal system when stacked
    squashfses are in use. (LP: #2121435)
  * Unpack the second squashfs when doing non-minimal installs when stacked
    squashfses are in use. (LP: #2121155)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 26 Aug 2025 17:21:35 -0500

## calamares-settings-ubuntu 25.10.5

=== debian/changelog ===
calamares-settings-ubuntu (1:25.10.5) questing; urgency=medium

  * Stop using "sudo -E" to launch things, sudo-rs now ignores it.
  * Fix how Calamares is launched in the first-time user setup session on
    Kubuntu. (LP: #2125435)
  * Explicitly remove calamares-settings-ubuntu-common(-data) after
    installation. (LP: #2125700)
  * Prevent the user from skipping a system restart after first-time user
    setup on Kubuntu.
  * Fix a strange-looking horizontal black line being shown by BasicWallpaper
    in the first-time user setup session.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 22 Sep 2025 13:43:26 -0500

## calamares-settings-ubuntu 25.10.6

=== Makefile ===
#!/usr/bin/make -f

#SUBDIRS :=

all:
	# Desktop file
	(cd lubuntu/po/ && make)
	(cd kubuntu/po/ && make)
	(cd ubuntuunity/po && make)
	# Slideshow
	(cd lubuntu/branding/lubuntu/lang/ && make)
	# basicwallpaper
	(cd common/basicwallpaper && mkdir build && cd build && cmake .. -DCMAKE_BUILD_TYPE=Release && make)
	# Lubuntu OEM setup stuff
	(cd lubuntu && mkdir oemconfig && cd oemconfig && mkdir -p usr/bin && mkdir -p etc/calamares && mkdir -p usr/share/xsessions && mkdir -p usr/libexec && mkdir -p etc && mkdir -p usr/share/applications && mkdir -p home/oem/Desktop)
	(cp lubuntu/calamares-logs-helper lubuntu/oemconfig/usr/bin/)
	(cp lubuntu/oem/sddm.conf lubuntu/oemconfig/etc/)
	(cp lubuntu/oem/sudoers.oem lubuntu/oemconfig/etc/ && chmod 400 lubuntu/oemconfig/etc/sudoers.oem)
	(cp lubuntu/oem/calamares-oemfinish.sh lubuntu/oemconfig/usr/libexec/)
	(cp lubuntu/oem/calamares-finish-oem lubuntu/oemconfig/usr/bin/)
	(cp lubuntu/oem/calamares-finish-oem.desktop lubuntu/oemconfig/usr/share/applications/)
	(cp -r lubuntu/branding lubuntu/oemconfig/etc/calamares/)
	(cp -r lubuntu/oem/modules/ lubuntu/oemconfig/etc/calamares/)
	(cp lubuntu/oem/settings.conf lubuntu/oemconfig/etc/calamares/)
	(cp lubuntu/oem/lubuntu-oem-env/lubuntu-oem-environment.desktop lubuntu/oemconfig/usr/share/xsessions/)
	(cp lubuntu/oem/lubuntu-oem-env/start-lubuntu-oem-env lubuntu/oemconfig/usr/libexec/)
	(cp common/basicwallpaper/build/basicwallpaper lubuntu/oemconfig/usr/bin/)
	(cp lubuntu/oem/calamares-finish-oem.desktop lubuntu/oemconfig/home/oem/Desktop/)
	(fakeroot bash -c "chown -R root:root lubuntu/oemconfig && tar cvzf lubuntu/oemconfig.tar.gz lubuntu/oemconfig")
	# Kubuntu OEM setup stuff
	(cd kubuntu && mkdir oemconfig && cd oemconfig && mkdir -p usr/bin && mkdir -p etc/calamares && mkdir -p usr/share/wayland-sessions && mkdir -p usr/libexec && mkdir -p etc && mkdir -p usr/share/applications && mkdir -p home/oem/Desktop)
	(cp kubuntu/calamares-logs-helper kubuntu/oemconfig/usr/bin/)
	(cp kubuntu/oem/sddm.conf kubuntu/oemconfig/etc/)
	(cp kubuntu/oem/sudoers.oem kubuntu/oemconfig/etc/ && chmod 400 kubuntu/oemconfig/etc/sudoers.oem)
	(cp kubuntu/oem/calamares-oemfinish.sh kubuntu/oemconfig/usr/libexec/)
	(cp kubuntu/oem/calamares-finish-oem kubuntu/oemconfig/usr/bin/)
	(cp kubuntu/oem/calamares-finish-oem.desktop kubuntu/oemconfig/usr/share/applications/)
	(cp -r kubuntu/branding kubuntu/oemconfig/etc/calamares/)
	(cp -r kubuntu/oem/modules/ kubuntu/oemconfig/etc/calamares/)
	(cp kubuntu/oem/settings.conf kubuntu/oemconfig/etc/calamares/)
	(cp kubuntu/oem/kubuntu-oem-env/kubuntu-oem-environment.desktop kubuntu/oemconfig/usr/share/wayland-sessions/)
	(cp kubuntu/oem/kubuntu-oem-env/start-kubuntu-oem-env kubuntu/oemconfig/usr/libexec/)
	(cp kubuntu/oem/kubuntu-oem-env/kubuntu-oem-env-shim kubuntu/oemconfig/usr/libexec/)
	(cp common/basicwallpaper/build/basicwallpaper kubuntu/oemconfig/usr/bin/)
	(cp kubuntu/oem/calamares-finish-oem.desktop kubuntu/oemconfig/home/oem/Desktop/)
	(fakeroot bash -c "chown -R root:root kubuntu/oemconfig && tar cvzf kubuntu/oemconfig.tar.gz kubuntu/oemconfig")
	# Ubuntu Unity OEM setup stuff
	(cd ubuntuunity && mkdir oemconfig && cd oemconfig && mkdir -p usr/bin && mkdir -p etc/calamares && mkdir -p usr/share/xsessions && mkdir -p usr/libexec && mkdir -p etc/lightdm && mkdir -p usr/share/applications && mkdir -p home/oem/Desktop)
	(cp ubuntuunity/calamares-logs-helper ubuntuunity/oemconfig/usr/bin/)
	(cp ubuntuunity/oem/lightdm.conf ubuntuunity/oemconfig/etc/lightdm/)
	(cp ubuntuunity/oem/sudoers.oem ubuntuunity/oemconfig/etc/ && chmod 400 kubuntu/oemconfig/etc/sudoers.oem)
	(cp ubuntuunity/oem/calamares-oemfinish.sh ubuntuunity/oemconfig/usr/libexec/)
	(cp ubuntuunity/oem/calamares-finish-oem ubuntuunity/oemconfig/usr/bin/)
	(cp ubuntuunity/oem/calamares-finish-oem.desktop ubuntuunity/oemconfig/usr/share/applications/)
	(cp -r ubuntuunity/branding ubuntuunity/oemconfig/etc/calamares/)
	(cp -r ubuntuunity/oem/modules/ ubuntuunity/oemconfig/etc/calamares/)
	(cp ubuntuunity/oem/settings.conf ubuntuunity/oemconfig/etc/calamares/)
	(cp ubuntuunity/oem/ubuntu-unity-oem-env/ubuntu-unity-oem-environment.desktop ubuntuunity/oemconfig/usr/share/xsessions/)
	(cp ubuntuunity/oem/ubuntu-unity-oem-env/start-ubuntu-unity-oem-env ubuntuunity/oemconfig/usr/libexec/)
	(cp common/basicwallpaper/build/basicwallpaper ubuntuunity/oemconfig/usr/bin/)
	(cp ubuntuunity/oem/calamares-finish-oem.desktop ubuntuunity/oemconfig/home/oem/Desktop/)
	(fakeroot bash -c "chown -R root:root ubuntuunity/oemconfig && tar cvzf ubuntuunity/oemconfig.tar.gz ubuntuunity/oemconfig")
	# Get rid of the unnecessary files
	find lubuntu/ -type f -iname "*.in" | xargs rm -f
	find lubuntu/ -type f -iname "Makefile" | xargs rm -f
	find kubuntu/ -type f -iname "*.in" | xargs rm -f
	find kubuntu/ -type f -iname "Makefile" | xargs rm -f
	find ubuntuunity/ -type f -iname "*.in" | xargs rm -f
	find ubuntuunity/ -type f -iname "Makefile" | xargs rm -f
	rm -rf kubuntu/oemconfig
	rm -rf lubuntu/oemconfig
	rm -rf ubuntuunity/oemconfig
	rm -rf common/basicwallpaper/build
# vim:ts=4

=== lubuntu/po/Makefile ===
#!/usr/bin/make -f

POTFILES := $(shell cat POTFILES.in)

all: generate-po-files

generate-pot: POTFILES.in
	intltool-update --pot --gettext-package=calamares-settings-lubuntu

generate-po-files:
	for i in $(POTFILES); do \
		f=$$(echo $$i | sed 's/\.in//'); \
		intltool-merge -d . ../$$i ../$$f; \
	done

update-po:
	for i in *.po; do \
		code=$$(echo $$i | sed 's/.po//'); \
		intltool-update --gettext-package=calamares-settings-lubuntu --dist $$code; \
	done

# vim:ts=4

=== ubuntuunity/po/Makefile ===
#!/usr/bin/make -f

POTFILES := $(shell cat POTFILES.in)

all: generate-po-files

generate-pot: POTFILES.in
	intltool-update --pot --gettext-package=calamares-settings-ubuntuunity

generate-po-files:
	for i in $(POTFILES); do \
		f=$$(echo $$i | sed 's/\.in//'); \
		intltool-merge -d . ../$$i ../$$f; \
	done

update-po:
	for i in *.po; do \
		code=$$(echo $$i | sed 's/.po//'); \
		intltool-update --gettext-package=calamares-settings-ubuntuunity --dist $$code; \
	done

# vim:ts=4

=== common/modules/pkgselect/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

include(FeatureSummary)

set( CMAKE_CXX_STANDARD 17 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )

set( CALAMARES_VERSION_REQUIRED 3.3.9 )

find_package(ECM "6.0.0" NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
include(KDEInstallDirs)
find_package(KF6 REQUIRED COMPONENTS CoreAddons)
find_package(Calamares ${CALAMARES_VERSION_REQUIRED} NO_CMAKE_PACKAGE_REGISTRY)
if (NOT TARGET Calamares::calamares OR NOT TARGET Calamares::calamaresui)
    find_package(Calamares ${CALAMARES_VERSION_REQUIRED} REQUIRED)
endif()

message(STATUS "Found Calamares version ${Calamares_VERSION}")
message(STATUS "              libraries ${Calamares_LIB_DIRS}")
message(STATUS "")

calamares_add_plugin( pkgselect
    TYPE viewmodule
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
    	PackageSelectViewStep.cpp
    UI
        pkgselect.ui
    SHARED_LIB
)

=== lubuntu/branding/lubuntu/lang/Makefile ===
#!/usr/bin/make -f

LANGUAGES := ar ca de es eu gl be da el et fr ko pl pt pt_BR

all:
	for i in $(LANGUAGES); do \
		/usr/lib/qt6/bin/lrelease "calamares-lubuntu_$$i.ts"; \
		rm calamares-lubuntu_$$i.ts; \
	done

# vim:ts=4

=== debian/changelog ===
calamares-settings-ubuntu (1:25.10.6) questing; urgency=medium

  * Remove 'development version' title from Kubuntu welcome page image.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Oct 2025 09:10:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,14 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+# Go builds on riscv64 oftentimes fail if using CGO, see
+# https://github.com/golang/go/issues/72840.
+ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),riscv64)
+	export CGO_ENABLED = 0
+endif
+
 %:
-	dh $@
+	dh $@ --with=builtusing
 
 override_dh_auto_configure:
 	(cd $(PKGSELECT) && mkdir build && cd build && cmake ..)
@@ -43,6 +49,6 @@
 	chmod 644 $(MODULES_DIR)/pkgselect/module.desc
 	mkdir -pv $(USRDIR)/bin/
 	cp -v common/snap-seed-glue-emb/snap-seed-glue-emb $(USRDIR)/bin/snap-seed-glue-emb
-	mkdir -pv $(USRDIR)/libexec/ $(DATA_USRDIR)/libexec/
+	mkdir -pv $(DATA_USRDIR)/libexec/
 	cp -v common/fixconkeys-part1 $(DATA_USRDIR)/libexec/fixconkeys-part1
 	cp -v common/fixconkeys-part2 $(DATA_USRDIR)/libexec/fixconkeys-part2

## calamares-settings-ubuntu 26.04.1

=== debian/changelog ===
calamares-settings-ubuntu (1:26.04.1) resolute; urgency=medium

  * Update Kubuntu branding for 26.04 (LP: #2130481)

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Nov 2025 11:08:30 +0000

## calamares-settings-ubuntu 26.04.2

=== common/basicwallpaper/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(basicwallpaper VERSION 0.1 LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets REQUIRED)

set(PROJECT_SOURCES
        main.cpp
        mainwindow.cpp
        mainwindow.h
        mainwindow.ui
)

if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    qt_add_executable(basicwallpaper
        MANUAL_FINALIZATION
        ${PROJECT_SOURCES}
    )
else()
    add_executable(basicwallpaper
        ${PROJECT_SOURCES}
    )
endif()

target_link_libraries(basicwallpaper PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

install(TARGETS basicwallpaper
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

if(QT_VERSION_MAJOR EQUAL 6)
    qt_finalize_executable(basicwallpaper)
endif()

=== kubuntu/po/Makefile ===
#!/usr/bin/make -f

POTFILES := $(shell cat POTFILES.in)

all: generate-po-files

generate-pot: POTFILES.in
	intltool-update --pot --gettext-package=calamares-settings-kubuntu

generate-po-files:
	for i in $(POTFILES); do \
		f=$$(echo $$i | sed 's/\.in//'); \
		intltool-merge -d . ../$$i ../$$f; \
	done

update-po:
	for i in *.po; do \
		code=$$(echo $$i | sed 's/.po//'); \
		intltool-update --gettext-package=calamares-settings-kubuntu --dist $$code; \
	done

# vim:ts=4

=== archive/ubuntustudio/branding/ubuntustudio/lang/Makefile ===
#!/usr/bin/make -f

LANGUAGES := ar ca de es eu gl be da el et fr ko pl pt pt_BR

all:
	for i in $(LANGUAGES); do \
		/usr/lib/qt5/bin/lrelease "calamares-lubuntu_$$i.ts"; \
		rm calamares-lubuntu_$$i.ts; \
	done

# vim:ts=4

=== debian/changelog ===
calamares-settings-ubuntu (1:26.04.2) resolute; urgency=medium

  * Disable dh_dwz for now to avoid FTBFS.

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Nov 2025 12:46:53 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
+               dh-builtusing,
                dh-sequence-qmldeps,
                cmake,
                extra-cmake-modules,
@@ -27,6 +28,7 @@
 Vcs-Browser: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
 Vcs-Git: https://git.launchpad.net/~ubuntu-qt-code/+git/calamares-settings-ubuntu
 Rules-Requires-Root: no
+XS-Go-Import-Path: github.com/snapcore/snapd
 
 Package: calamares-settings-kubuntu
 Architecture: all
@@ -83,6 +85,7 @@
          sudo,
          ${misc:Depends},
          ${shlibs:Depends}
+Static-Built-Using: ${dh-builtusing:golang-github-snapcore-snapd-dev}
 Description: Common Calamares Settings
  This package contains the common Calamares settings for all flavors.
  There is also a automirror Python script to set sources based on

=== debian/rules ===
--- 
+++ 
@@ -52,3 +52,5 @@
 	mkdir -pv $(DATA_USRDIR)/libexec/
 	cp -v common/fixconkeys-part1 $(DATA_USRDIR)/libexec/fixconkeys-part1
 	cp -v common/fixconkeys-part2 $(DATA_USRDIR)/libexec/fixconkeys-part2
+
+override_dh_dwz:

## calamares-settings-ubuntu 26.04.3

=== debian/changelog ===
calamares-settings-ubuntu (1:26.04.3) resolute; urgency=medium

  * Update calamares-settings-ubuntu-unity kvantum theme dependencies to
    match new package names.

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Feb 2026 08:16:08 +0000

## calamares-settings-ubuntu 26.04.4

=== debian/changelog ===
calamares-settings-ubuntu (1:26.04.4) resolute; urgency=medium

  * Fix minimal installation by no longer trying to remove nonexistent
    packages on Kubuntu and Ubuntu Unity. (LP: #2127711)
  * Update version numbers for OEM batch IDs and partition names for Lubuntu
    and Ubuntu Unity.
  * Switch to supporting the livecd-rootfs-only ISO build system. (Reference:
    https://discourse.ubuntu.com/t/spec-make-iso-in-livefs-build/73349)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 23 Feb 2026 18:15:28 -0500

=== debian/control ===
--- 
+++ 
@@ -60,8 +60,8 @@
 Package: calamares-settings-ubuntu-unity
 Architecture: all
 Depends: calamares-settings-ubuntu-common (>= ${binary:Version}),
-         qt6-style-kvantum,
-         qt6-style-kvantum-themes,
+         qt-style-kvantum,
+         qt-style-kvantum-themes,
          ${misc:Depends},
          ${qml6:Depends}
 Conflicts: calamares-settings-ubuntu-flavor

## calamares-settings-ubuntu 27

=== Makefile ===
#!/usr/bin/make -f

#SUBDIRS :=

all:
	# Desktop file
	(cd lubuntu/po/ && make)
	chmod +x lubuntu/*.desktop
	# Slideshow
	(cd lubuntu/branding/lubuntu/lang/ && make)
	# Get rid of the unnecessary files
	find lubuntu/ -type f -iname "*.in" | xargs rm -f
	find lubuntu/ -type f -iname "Makefile" | xargs rm -f

# vim:ts=4

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_missing:
	dh_missing
	mkdir -pv debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules
	cp -vr common/modules/* debian/calamares-settings-ubuntu-common/usr/lib/$(DEB_HOST_MULTIARCH)/calamares/modules
	chmod -R 755 debian/calamares-settings-ubuntu-common/usr/lib/
